Deletes an announcement

DELETE /api/sync/v1/announcements/{announcementId}

Operation id: deleteAnnouncement

Description

This API deletes an announcement by accepting the announcement ID in the request. You can obtain the announcement ID from the Announcement Listing API response.

Permission required: only creator can delete announcement

Tags: Announcement APIs

Parameters

Path parameters

NameTypeRequiredDescription
announcementIdinteger (int32)YesAnnouncement Id

Security

  • Bearer (http / bearer)
    • enter the client service token value.

Responses

200 — Announcement deleted successfully

Content type: application/json

400 — Bad request

404 — Announcement not found

500 — Internal server error

Response models

200 — Announcement deleted successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
messagestringNoresponse message
statusstringNoresponse status
statusCodeinteger (int32)Noresponse status code
debugErrorMessagestringNoerror message
messageCodestringNomessage codes
messageParamsarrayNomessage parameters
dataobjectNo
announcementIdinteger (int32)Noannouncement Id
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "description": "response message"
    },
    "status": {
      "type": "string",
      "description": "response status",
      "enum": [
        "SUCCESS",
        "FAIL",
        "BAD_REQUEST",
        "NO_CONTENT",
        "UNAUTHORIZED",
        "FORBIDDEN",
        "NOT_FOUND",
        "INTERNAL_SERVER_ERROR",
        "UNSUPPORTED_MEDIA_TYPE"
      ]
    },
    "statusCode": {
      "type": "integer",
      "format": "int32",
      "description": "response status code"
    },
    "debugErrorMessage": {
      "type": "string",
      "description": "error message"
    },
    "messageCode": {
      "type": "string",
      "description": "message codes",
      "items": {
        "type": "string",
        "example": [
          "ERROR62- Error launching announcement.",
          "ERROR44-Error creating announcement.",
          "ERROR45-Error updating announcement.",
          "Error49-Error deleting announcement"
        ]
      }
    },
    "messageParams": {
      "type": "array",
      "description": "message parameters",
      "items": {
        "type": "string"
      }
    },
    "data": {
      "type": "object"
    },
    "announcementId": {
      "type": "integer",
      "format": "int32",
      "description": "announcement Id"
    }
  }
}